Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
proofs::MerkleTree Class Reference

## Public Member Functions
| MerkleTree (size_t n)
void | set_leaf (size_t pos, const Digest &leaf)
Digest | build_tree ()
size_t | generate_compressed_proof (std::vector< Digest > &proof, const size_t pos[], size_t np)

## Data Fields
size_t | n_
std::vector< Digest > | layers_

The documentation for this class was generated from the following file:

- lib/merkle/merkle_tree.h